#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - file installation
#
# Creation   :  2011-08-16 holbru
# Last update:  $Id: postinstall-file.sh 33178 2013-03-03 10:30:41Z hbfl $
#
# Copyright (c) 2011-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=file

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names="libmagic.so.1.0.0"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
 #   echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
 #         >>/etc/filelist.d/${package_name}-files.txt
done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
